%global appname com.github.lainsce.notejot

Name:           notejot
Summary:        Stupidly-simple sticky notes applet
Version:        1.4.2
Release:        1%{?dist}
License:        GPLv3

URL:            https://github.com/lainsce/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  libmarkdown-devel
BuildRequires:  meson
BuildRequires:  vala

BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(json-glib-1.0)

Requires:       hicolor-icon-theme


%description
Stupidly simple sticky notes applet.


%prep
%autosetup


%build
%meson
%meson_build


%install
%meson_install

%find_lang %{appname}


%check
desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/%{appname}.desktop

appstream-util validate-relax --nonet \
    %{buildroot}/%{_datadir}/metainfo/%{appname}.appdata.xml


%files -f %{appname}.lang
%doc README.md
%license LICENSE

%{_bindir}/%{appname}

%{_datadir}/applications/%{appname}.desktop
%{_datadir}/glib-2.0/schemas/%{appname}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{appname}*.svg
%{_datadir}/metainfo/%{appname}.appdata.xml


%changelog
* Sat Jul 07 2018 Fabio Valentini <decathorpe@gmail.com> - 1.4.2-1
- Update to version 1.4.2.

* Mon Mar 19 2018 Fabio Valentini <decathorpe@gmail.com> - 1.4.0-1
- Update to version 1.4.0.

* Tue Jan 23 2018 Fabio Valentini <decathorpe@gmail.com> - 1.3.8-1
- Update to version 1.3.8.

* Mon Jan 15 2018 Fabio Valentini <decathorpe@gmail.com> - 1.3.7-1
- Initial package.


